Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Stop Recording

Stop recording.

Service Activation

Cloud Recording is a paid value-added service. Before using the Cloud Recording API, ensure you've activated the service in the Console and completed the required configurations.

Note: The recording trigger method must be set to Manual to use API-controlled recording.

Request Method

POST: https://Data Center Domain/rtc/record/stop.json

Signature Rules: All requests to RC server APIs require signature validation. See API Request Signature.

Request Body Parameters

The HTTP request body contains a JSON object with the following structure:

ParameterTypeRequiredDescription
sessionIdStringYesThe session ID of the current call.

Request Example

POST /rtc/record/stop.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Timestamp: 1585127132438
Nonce: 14314
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Room-Id: room1
Content-Type: application/json

{
"sessionId":"aaa"
}

Response

FieldTypeDescription
codeNumberStatus code. 200 indicates success.
errorMessageStringError message.
recordIdStringRecording ID, a unique identifier for each recording task. Used for recording callbacks or file slice association.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code":200,
"errorMessage":"Success",
"recordId":"b8bed381888091ff4e6a42d6f3b8782a"
}